/*
 * Created by SharpDevelop.
 * User: utente
 * Date: 10/24/2016
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using System.Windows.Forms;
using System.IO;


namespace MainProject.Libs
{
	/// <summary>
	/// Description of Logger.
	/// </summary>
	public static class Logger
	{
		static object writeSync = new object();
		static string logFile = Path.Combine(Application.StartupPath, "log.txt");
		
		public static void Append(string message) {
			lock (writeSync) {
				File.AppendAllText(logFile, DateTime.Now.ToShortDateString() + " "  + DateTime.Now.ToShortTimeString() + " > " + message);
			}
		}

	}
}
